org.keycloak.representations.idm.authorization

## Class TimePolicyRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation
  - - org.keycloak.representations.idm.authorization.TimePolicyRepresentation

-     public class TimePolicyRepresentation
      extends AbstractPolicyRepresentation

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimePolicyRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDayMonth()`
    `String` | `getDayMonthEnd()`
    `String` | `getHour()`
    `String` | `getHourEnd()`
    `String` | `getMinute()`
    `String` | `getMinuteEnd()`
    `String` | `getMonth()`
    `String` | `getMonthEnd()`
    `String` | `getNotBefore()`
    `String` | `getNotOnOrAfter()`
    `String` | `getType()`
    `String` | `getYear()`
    `String` | `getYearEnd()`
    `void` | `setDayMonth(String dayMonth)`
    `void` | `setDayMonthEnd(String dayMonthEnd)`
    `void` | `setHour(String hour)`
    `void` | `setHourEnd(String hourEnd)`
    `void` | `setMinute(String minute)`
    `void` | `setMinuteEnd(String minuteEnd)`
    `void` | `setMonth(String month)`
    `void` | `setMonthEnd(String monthEnd)`
    `void` | `setNotBefore(String notBefore)`
    `void` | `setNotOnOrAfter(String notOnOrAfter)`
    `void` | `setYear(String year)`
    `void` | `setYearEnd(String yearEnd)`

    - ### Methods inherited from class org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation

      `addPolicy, addResource, addScope, equals, getDecisionStrategy, getDescription, getId, getLogic, getName, getOwner, getPolicies, getResources, getResourcesData, getScopes, getScopesData, hashCode, removePolicy, removeScope, setDecisionStrategy, setDescription, setId, setLogic, setName, setOwner, setPolicies, setResources, setResourcesData, setScopes, setScopesData, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimePolicyRepresentation

          public TimePolicyRepresentation()

  - ### Method Detail

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `AbstractPolicyRepresentation`

    - #### getNotBefore

          public String getNotBefore()

    - #### setNotBefore

          public void setNotBefore(String notBefore)

    - #### getNotOnOrAfter

          public String getNotOnOrAfter()

    - #### setNotOnOrAfter

          public void setNotOnOrAfter(String notOnOrAfter)

    - #### getDayMonth

          public String getDayMonth()

    - #### setDayMonth

          public void setDayMonth(String dayMonth)

    - #### getDayMonthEnd

          public String getDayMonthEnd()

    - #### setDayMonthEnd

          public void setDayMonthEnd(String dayMonthEnd)

    - #### getMonth

          public String getMonth()

    - #### setMonth

          public void setMonth(String month)

    - #### getMonthEnd

          public String getMonthEnd()

    - #### setMonthEnd

          public void setMonthEnd(String monthEnd)

    - #### getYear

          public String getYear()

    - #### setYear

          public void setYear(String year)

    - #### getYearEnd

          public String getYearEnd()

    - #### setYearEnd

          public void setYearEnd(String yearEnd)

    - #### getHour

          public String getHour()

    - #### setHour

          public void setHour(String hour)

    - #### getHourEnd

          public String getHourEnd()

    - #### setHourEnd

          public void setHourEnd(String hourEnd)

    - #### getMinute

          public String getMinute()

    - #### setMinute

          public void setMinute(String minute)

    - #### getMinuteEnd

          public String getMinuteEnd()

    - #### setMinuteEnd

          public void setMinuteEnd(String minuteEnd)

Copyright © 2020 JBoss by Red Hat. All rights reserved.